Bug 606701 - [abrt] crash in thunderbird-3.0.4-3.fc13: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.4-3.fc13: Process /usr/lib64/thunderbird-3.0/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:1a52d10961c514cc1315a3d6879...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 05:19 EDT by Timm Stamer
Modified: 2010-12-17 13:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 13:40:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.53 KB, text/plain)
2010-06-22 05:19 EDT, Timm Stamer
no flags Details

  None (edit)
Description Timm Stamer 2010-06-22 05:19:33 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
comment: I wrote an email. Suddently thunderbird freezes and went off. 
component: thunderbird
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: 1a52d10961c514cc1315a3d687988c1f1e5124f5
kernel: 2.6.33.5-124.fc13.x86_64
package: thunderbird-3.0.4-3.fc13
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Timm Stamer 2010-06-22 05:19:35 EDT
Created attachment 425874 [details]
File: backtrace
Comment 2 d. johnson 2010-08-17 12:55:59 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?


#2  <signal handler called>
No symbol table info available.
#3  nsScriptSecurityManager::GetPrincipalAndFrame (this=0x7fcf95f97c00, cx=
    0x7fcf7926d800, frameResult=0x7fcf69b28618, rv=0x7fcf69b289cc)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:2234
        cp = 0x8d48f28948d18948
        target = 0x0
        targetPrincipal = 0x0
        fp = 0x7fcf585ea2f8
        scriptContext = <value optimized out>
#4  0x00007fcf91d81da7 in nsScriptSecurityManager::GetSubjectPrincipal (
    this=<value optimized out>, cx=<value optimized out>, 
    rv=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:2308
        fp = 0x7fcf585ea2f8
#5  0x00007fcf91d84c16 in nsScriptSecurityManager::CheckPropertyAccessImpl (
    this=0x7fcf95f97c00, aAction=0, aCallContext=0x7fcf69b28fe0, cx=
    0x7fcf7926d800, aJSObject=0x7fcf7e4e0c00, aObj=0x7fcf73386880, aTargetURI=
    0x0, aClassInfo=0x7fcf8f7c5f10, aClassName=0x0, aProperty=
    140529388943428, aCachedClassPolicy=0x7fcf57d06528)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:684
        rv = 0
        subjectPrincipal = <value optimized out>
        objectPrincipal = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fcf580915b0}, <No data fields>}
        checkedComponent = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fcf580915b0}, <No data fields>}
        classInfoData = {mClassInfo = 0x0, mFlags = 1773308576, mName = 
    0x3 <Address 0x3 out of bounds>, mDidGetFlags = 30 '\036', 
          mMustFreeName = 106 'j'}
        securityLevel = {level = 1717913088, capability = 
    0x12966654600 <Address 0x12966654600 out of bounds>}
#6  0x00007fcf91d85566 in nsScriptSecurityManager::CanAccess (
    this=<value optimized out>, aAction=<value optimized out>, 
    aCallContext=<value optimized out>, cx=<value optimized out>, 
    aJSObject=<value optimized out>, aObj=<value optimized out>, aClassInfo=
    0x7fcf8f7c5f10, aPropertyName=140529388943428, aPolicy=0x7fcf57d06528)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:3139
No locals.
#7  0x00007fcf93ad951b in XPCWrappedNative::CallMethod (ccx=..., mode=
    XPCWrappedNative::CALL_METHOD)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2043
        rv = <value optimized out>
        retval = 0
        paramCount = <value optimized out>
        err = <value optimized out>
        tls = <value optimized out>
        secAction = <value optimized out>
        methodInfo = <value optimized out>
        src = <value optimized out>
        foundDependentParam = <value optimized out>
        argc = 2
        i = <value optimized out>
        xpcc = 0x7fcf7e286980
        argv = 0x7fcf585ea3f8
        secFlag = <value optimized out>
        autoStringUsed = 0
        invokeResult = <value optimized out>
        param_iid = {m0 = 1773309904, m1 = 32719, m2 = 0, m3 = 
    "\330\217\262i\317\177\000"}
        ifaceInfo = 0x7fcf8c3318a0
        paramBuffer = {{<nsXPTCMiniVariant> = {val = {i8 = 1 '\001', i16 = 1, 
                i32 = 1, i64 = 1, u8 = 1 '\001', u16 = 1, u32 = 1, u64 = 1, 
                f = 1.40129846e-45, d = 4.9406564584124654e-324, b = 1, c = 
    1 '\001', wc = 1, p = 0x1}}, ptr = 0x7fcf69b28c00, type = 
    {<XPTTypeDescriptorPrefix> = {flags = 6 '\006'}, <No data fields>}, 
            flags = 0 '\000'}, {<nsXPTCMiniVariant> = {val = {i8 = 0 '\000', 
                i16 = 17920, i32 = 1717913088, i64 = 1277323200000, u8 = 
    0 '\000', u16 = 17920, u32 = 1717913088, u64 = 1277323200000, f = 
    2.70678299e+23, d = 6.3108151175600773e-312, b = 1717913088, c = 
    0 '\000', wc = 17920, p = 0x12966654600}}, ptr = 0x7fcf69b28c18, type = 
    {<XPTTypeDescriptorPrefix> = {flags = 3 '\003'}, <No data fields>}, 
            flags = 0 '\000'}, {<nsXPTCMiniVariant> = {val = {i8 = 
    -64 '\300', i16 = 16576, i32 = 2096054464, i64 = 140529131012288, u8 = 
    192 '\300', u16 = 16576, u32 = 2096054464, u64 = 140529131012288, f = 
    9.93817788e+36, d = 6.9430615873095219e-310, b = 2096054464, c = 
    -64 '\300', wc = 16576, p = 0x7fcf7cef40c0}}, ptr = 0x7fcf57d7cee0, 
            type = {<XPTTypeDescriptorPrefix> = {flags = 
    120 'x'}, <No data fields>}, flags = 140 '\214'}, {<nsXPTCMiniVariant> = {
              val = {i8 = 0 '\000', i16 = -10240, i32 = 2032588800, i64 = 
    140529067546624, u8 = 0 '\000', u16 = 55296, u32 = 2032588800, u64 = 
    140529067546624, f = 5.41438924e+34, d = 6.9430584516890947e-310, b = 
    2032588800, c = 0 '\000', wc = 55296, p = 0x7fcf7926d800}}, ptr = 
    0x7fcf69b28ca8, type = {<XPTTypeDescriptorPrefix> = {flags = 
    0 '\000'}, <No data fields>}, flags = 216 '\330'}, {<nsXPTCMiniVariant> = 
    {val = {i8 = 96 '`', i16 = 96, i32 = 9568352, i64 = 1407374893121632, 
                u8 = 96 '`', u16 = 96, u32 = 9568352, u64 = 1407374893121632, 
                f = 1.3408117e-38, d = 6.9533558551089444e-309, b = 9568352, 
                c = 96 '`', wc = 96, p = 0x5000000920060}}, ptr = 
    0x7fcf93abd893, type = {<XPTTypeDescriptorPrefix> = {flags = 
    96 '`'}, <No data fields>}, flags = 0 '\000'}, {<nsXPTCMiniVariant> = {
              val = {i8 = 0 '\000', i16 = -10240, i32 = 2032588800, i64 = 
    140529067546624, u8 = 0 '\000', u16 = 55296, u32 = 2032588800, u64 = 
    140529067546624, f = 5.41438924e+34, d = 6.9430584516890947e-310, b = 
    2032588800, c = 0 '\000', wc = 55296, p = 0x7fcf7926d800}}, ptr = 
    0x5000000920060, type = warning: can't find linker symbol for virtual table for `nsXPTType' value
warning:   found `XPC_WN_OnlyIWrite_Proto_PropertyStub(JSContext*, JSObject*, long, long*)' instead
{<XPTTypeDescriptorPrefix> = {flags = 
    233 '\351'}, <No data fields>}, flags = 247 '\367'}, 
    {<nsXPTCMiniVariant> = {val = {i8 = -110 '\222', i16 = -110, i32 = -110, 
                i64 = 140531329925010, u8 = 146 '\222', u16 = 65426, u32 = 
    4294967186, u64 = 140531329925010, f = -nan(0x7fff92), d = 
    6.9431702280329363e-310, b = -110, c = -110 '\222', wc = 65426, p = 
    0x7fcfffffff92}}, ptr = 0x0, type = {<XPTTypeDescriptorPrefix> = {flags = 
    0 '\000'}, <No data fields>}, flags = 0 '\000'}, {<nsXPTCMiniVariant> = {
              val = {i8 = 0 '\000', i16 = -23296, i32 = 2030413056, i64 = 
    140529065370880, u8 = 0 '\000', u16 = 42240, u32 = 2030413056, u64 = 
    140529065370880, f = 4.337013e+34, d = 6.9430583441930582e-310, b = 
    2030413056, c = 0 '\000', wc = 42240, p = 0x7fcf7905a500}}, ptr = 
    0x5000000920060, type = {<XPTTypeDescriptorPrefix> = {flags = 
    2 '\002'}, <No data fields>}, flags = 0 '\000'}}
        autoString = 
    "\220\230\262i\317\177\000\000!\r\204!6\000\000\000\000\fN~\317\177\000\000@\370N\214\317\177\000\000\002\000\000\000\000\000\000\000\031\214\202&6\000\000\000\000\300\366\225\317\177\000\000\002\000\000\000\000\000\000\000\000\fN~\317\177\000\000hD\201&6\000\000\000\340\217\262i\317\177\000\000f\035\255\223\317\177\000\000\000\000\000\000\000\000\000\000\300\006\254!6\000\000\000\300\261\341\200\317\177\000\000\000\330&y\317\177\000\000\001\000\000\000\000\000\000\000\061\230\201!6\000\000\000\300\261\341\200\317\177\000\000\340\217\262i\317\177\000"
        dispatchParams = 0x0
        requiredArgs = <value optimized out>
        sm = <value optimized out>
        rt = 0x7fcf9da65380
        callee = 0x7fcf73386880
        vtblIndex = 25
        name = 140529388943428
#8  0x00007fcf93ae2547 in XPC_WN_CallMethod (cx=0x7fcf7926d800, 
    obj=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>, vp=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1590
        funobj = 0x7fcf80e1b1c0
        wrapper = <value optimized out>
        member = 0x7fcf8c4349f8
        ccx = {<nsAXPCNativeCallContext> = {_vptr.nsAXPCNativeCallContext = 
    0x7fcf93d47b80}, mState = XPCCallContext::READY_TO_CALL, mXPC = 
    0x7fcf969a1240, mThreadData = 0x7fcf8fe25700, mXPCContext = 
    0x7fcf7e286980, mJSContext = 0x7fcf7926d800, mContextPopRequired = 0, 
          mDestroyJSContextInDestructor = 0, mCallerLanguage = 
    XPCContext::LANG_JS, mPrevCallerLanguage = XPCContext::LANG_NATIVE, 
          mPrevCallContext = 0x7fcf69b29890, mOperandJSObject = 
    0x7fcf7e4e0c00, mCurrentJSObject = 0x7fcf7e4e0c00, mFlattenedJSObject = 
    0x7fcf7e4e0c00, mWrapper = 0x7fcf57d176a0, mTearOff = 0x7fcf57d176d8, 
          mScriptableInfo = 0x7fcf57f16ae0, mSet = 0x7fcf8c331a00, 
          mInterface = 0x7fcf8c434800, mMember = 0x7fcf8c4349f8, mName = 
    140529388943428, mStaticMemberIsLocal = 0, mArgc = 2, mArgv = 
    0x7fcf585ea3f8, mRetVal = 0x7fcf69b291b0, mReturnValueWasSet = 0, 
          mMethodIndex = 25, mCallee = 0x0, mStringWrapperData = 
    "\000\000\000\000\000\000\000\000\000\330&y\317\177\000\000\000\000\000\000\317\177\000\000|$\256\223\317\177\000\000\220\335\301\213\317\177\000\000\000\000\000\000\317\177\000"}
        iface = 0x7fcf8c434800
#9  0x000000362184e7e5 in js_Invoke (cx=0x7fcf7926d800, argc=2, vp=




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-12-17 13:40:35 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.